# Muud amaroKi võimalused

## Kiirklahvid

&amarok; kasutab kiirklahve nagu iga muu korralik rakendus. Allpool on ära toodud kiirklahvid ja nendega käivitatavad toimingud. Globaalseid kiirklahve saab seadistada, kui klõpsata hiire parema nupuga mängija aknas ja valida Globaalsete kiirklahvide seadistamine... &amarok;i enda kiirklahve saab seadistada, kui klõpsata hiire parema nupuga mängija aknas ja valida Kiirklahvide seadistamine...

Oma multimeediaklahvide kasutamiseks &amarok;i kiirklahvidena tuleb määrata klaviatuur &amarok;i juhtimiskeskuses.

Globaalsed kiirklahvid:

Klahvikombinatsioon | Toiming
--- | ---
Win X | Mängi
Win C | Paus
Win V | Stopp
Win B | Järgmine pala
Win Z | Eelmine pala
Win KP_Add | Heli juurde
Win KP_Subtract | Heli maha
Win Shift KP_Add | Seek Forward
Win Shift KP_Subtract | Seek Backward
Win A | Lisa andmekandja
Win P | Lugude nimekirja lülitamine
Win O | OSD näitamine
Win M | Mute Volume

&amarok;i kiirklahvid:

Klahvikombinatsioon | Toiming
--- | ---
Ctrl C | Kopeeri
Ctrl KP_Enter | Mine praegusele
Ctrl D | Queue Selected Tracks
Ctrl Q | Välju
Ctrl Shift Z | Tee uuesti
Ctrl S | Salvesta lugude nimekiri
Ctrl A | Vali kõik
Ctrl M | Show Menubar
Ctrl H | Segatud
Ctrl Z | Võta tagasi

Lugude nimekirja sirvija kiirklahvid:

Klahvikombinatsioon | Toiming
--- | ---
Tühikuklahv | Lugude nimekirja laadimine
F2 | Lugude nimekirja ümbernimetamine
Backspace | Lugude nimekirja eemaldamine

## DCOP-liides

amaroKi DCOP-liides võimaldab imelihtsalt juhtida amaroKi tööd enda loodud skriptidega.

The DCOP interface for amaroK has many generic calls that may be found in other KDE applications. This section is divided into four tables and is intended to describe the DCOP calls of the collection, player, playlist, and scripts. An example of the pause dcop call would look like:

&percnt;dcop amarok player pause

### DCOP ja amaroKi muusikakogu

DCOP Call | Toiming
--- | ---
query | The query call allows you to send direct database queries to &amarok;'s collection.
scanCollection | The scanCollection call performs a manual scan of your collection.

### DCOP ja amaroKi mängija

DCOP Call | Toiming
--- | ---
album | The album call returns the album of the currently playing track.
artist | The artist call returns the artist of the currently playing track.
bitrate | The bitrate call returns the bitrate of the currently playing track.
comment | The comment call returns the comment of the currently playing track.
coverImage | The coverImage call returns the URL to the current track's cover image.
currentTime | The currentTime call returns the position (mm:ss) of the currently playing track.
encodedURL | Funktsioon encodedURL tagastab parajasti mängitava pala tühikutega kodeeritud URL-i.
genre | The genre call returns the genre of the currently playing track.
nowPlaying | The nowPlaying call returns "Artist - Title" of the currently playing track. If one of both id3 tags is empty, only "Artist" or "Title" is shown (without the "-").
path | The path call returns the filesystem path to the current track.
setContextStyle | The setContextStyle call sets the Context Browser's CSS theme specified by it's name.
title | The title call returns the title of the currently playing track.
totalTime | The totalTime call returns the total time (mm:ss) of the currently playing track.
track | The track call returns the track number of the current track.
year | The year call returns the year of the currently playing track.
dynamicModeStatus | The dynamicModeStatus call returns a value of true or false to indicate if the dynamic mode is enabled.
equalizerEnabled | The equalizerEnabled call returns a value of true or false to indicate if the equalizer is enabled.
isPlaying | The isPlaying call returns a value of true or false to indicate if the player is playing or not.
randomModeStatus | The randomModeStatus call returns the status of Random Mode with a value of true or false.
repeatPlaylistStatus | The repeatPlaylistStatus call returns the status of Repeat Playlist with a value of true or false.
repeatTrackStatus | The repeatTrackStatus call returns the status of Repeat Track with a value of true or false.
getVolume | The getVolume call returns a value for the volume level specified by a value of 0-100.
sampleRate | The sampleRate call returns the sample rate of the current track.
score | The score call returns the current track's score.
status | The status call returns a value for the engine status, 2 for playing, 1 for paused, and 0 for idle.
trackCurrentTime | The trackCurrentTime call returns a value of the current elapsed track time in seconds.
trackPlayCounter | The trackPlayCounter call returns the number of times the current track has been played.
trackTotalTime | The trackTotalTime call returns a value of the current track's total time in seconds.
configEqualizer | The configEqualizer call raises the equalizer configuration window.
enableDynamicMode | The enableDynamicMode call is used to toggle the dynamic mode with a value of 0 for disabled, and 1 for enabled.
enableOSD | The enableOSD call allows you to toggle the On-Screen-Display with a true or false value
enableRandomMode | The enableRandomMode call is used to toggle the random mode with a value of 0 for disabled, and 1 for enabled.
enableRepeatPlaylist | The enableRepeatPlaylist call is used to toggle the repeat playlist mode with a value of 0 for disabled, and 1 for enabled.
enableRepeatTrack | The enableRepeatTrack call is used to toggle the repeat track mode with a value of 0 for disabled, and 1 for enabled.
mute | The mute call allows you to mute and unmute the playing track.
next | The next call advances the player one track.
pause | The pause call pauses the currently playing track.
play | The play call starts the player from where it was last stopped.
playPause | The playPause call starts the player if it is currently stopped or paused. This call also pauses the player if it is currently playing a track.
prev | The prev call moves the player back one track.
seek | The seek call is used to seek to a specific point in a track by a value specified in seconds.
seekRelative | The seekRelative call is used to seek to a position relative to the current track position by a value specified in seconds.
setEqualizer | The setEqualizer call uses eleven space delimited integers to set the equalizer slider values. The slider values range from -255 as the lowest value, and 255 as the highest. The first integer is used to set the pre-amp value, the remaining integers set the pre-amp response frequency values from 60Hz to 16kHz.
setEqualizerEnabled | The setEqualizerEnabled call is used to enable the equalizer using a true or false value.
setScore | The setScore call sets the score of the current track specified by a number from 0 to 100.
setScoreByPath | The setScoreByPath call sets the score of a track specified by it's path followed by it's score specified by a number from 0 to 100.
setVolume | The setVolume call adjusts the volume to a level specified by a value from 0 to 100.
showOSD | The showOSD call raises the OSD to show the current track information.
stop | The stop call will stop the player if it is currently playing.
volumeDown | The volumeDown call adjusts the volume down one step.
volumeUp | The volumeUp call adjusts the volume up one step.

### DCOP ja amaroKi lugude nimekiri

DCOP Call | Toiming
--- | ---
saveCurrentPlaylist | The saveCurrentPlaylist call saves the current playlist as ~/.kde/share/apps/amarok/current.xml.
getActiveIndex | The getActiveIndex call returns an integer value for the current track's position in the playlist.
getTotalTrackCount | The getTotalTrackCount call returns the total number of tracks in the playlist.
addMedia | The addMedia call is used to add single files to the playlist.
addMediaList | The addMediaList call is used to add multiple files to the playlist.
clearPlaylist | The clearPlaylist call is used to clear the entire playlist.
playByIndex | The playByIndex call starts playback of a track by it's position in the playlist.
playMedia | The playMEDIA call starts playback of a track specified by it's KURL.
popupMessage | The popupMessage call starts a popup mesage in the playlist window. The popup message is specified with a QString.
removeCurrentTrack | The removeCurrentTrack call removes the current track from the playlist.
saveM3u | The saveM3u call saves the current playlist in the M3U format. You must specify the path to save the file as, and include a value of 0 or 1 to indicate whether or not to write relative paths.
setStopAfterCurrent | The setStopAfterCurrent call stops playback of the playlist after the current track has completed.
shortStatusMessage | The shortStatusMessage call displays a string of text as a message in the status bar.
shufflePlaylist | The shufflePlaylist call randomizes the order of the tracks in the playlist.
togglePlaylist | The togglePlaylist call toggles the use of the playlist window either on or off.

### DCOP ja amaroKi skriptid

DCOP Call | Toiming
--- | ---
listRunningScripts | The listRunningScripts call will list all running &amarok; scripts.
runScript | The runScript call will start an &amarok; script specified by it's name.
stopScript | The stopScript call will stop an &amarok; script specified by it's name.
addCustomMenuItem | The addCustomMenuItem call adds a menu item to the playlist context menu. This call takes two QStrings, the first for the submenu title, the second for the item's title in the submenu. Both QStrings are returned in the script manager notification system.
removeCustomMenuItem | The removeCustomMenuItem call removes menu items added to the playlist context menu using the addCustomMenuItem call. This call uses the same QStrings as addCustomMenuItem.

## Käsurea võtmed

amaroK toetab standardseid Qt ja KDE käsurea võtmeid, kuid pakub ka mõningaid spetsiifilisi võtmeid.

Qt ja KDE võtmed:

Võti | Toiming
--- | ---
--help | Näitab abiteadet võtmete kohta.
--help-qt | Näitab Qt spetsiifilisi võtmeid.
--help-kde | Näitab KDE spetsiifilisi võtmeid.
--help-all | Näitab kõiki võtmeid.
--author | Näitab infot autori kohta.
-v, --version | Näitab versiooni.
--license | Näitab litsentsi.

amaroKi võtmed:

&amarok;i võtmed on mõeldud kasutamiseks &amarok;i töötamise ajal.

Võti | Toiming
--- | ---
-r, --previous | Hüppab lugude nimekirjas eelmisele palale.
-p, --play | Alustab lugude nimekirja mängimist.
-s, --stop | Katkestab taasesituse.
--pause | Peatab taasesituse.
-f, --next | Hüppab lugude nimekirjas järgmisele palale.
-a, --append | Lisab failid/URL-id lugude nimekirja.
-e, --enqueue | Vaata append (kasutusel tagasiühilduvuse nimel).
--queue | Seab failid/URL-id järjekorda parajasti mängitava pala järele.
-m, --toggle-playlist-window | Lugude nimekirja akna lülitamine.
--wizard | Käivitab esimese korra nõustaja.
--engine "nimi" | Käivitab &amarok;i mootoriga "nimi".